Summary: CLI for Adaptec hardware RAID controllers.
Name: adaptec6x7x8x-cli
Epoch:   2
Version: 1.7.21229
Release: 7.jinr
Summary: Adaptec ARCCONF Command Line Utility
License: Proprietary
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: adaptec-compat.txt
Source2: cli_v1_07_21229_users_guide.pdf
Packager: vvm@jinr.ru
Conflicts: hwraidtools, adaptec-cli
ExclusiveArch: i386 x86_64
Url: http://download.adaptec.com/raid/storage_manager/arcconf_v1_7_21229.zip
%description
Command line utility to manage Adaptec cards, RAID config tool arcconf.
Compatble with 6x, 7x, 8x Adaptec RAID products.

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/doc/%{name}
install -D -m 0644 %{SOURCE1} %{buildroot}/usr/share/doc/%{name}
install -D -m 0644 %{SOURCE2} %{buildroot}/usr/share/doc/%{name}/users_guide.pdf
%ifarch x86_64
  install -D -m 0755 linux_x64/cmdline/arcconf \
	%{buildroot}/usr/bin/arcconf
%else
  install -D -m 0755 linux/cmdline/arcconf \
	%{buildroot}/usr/bin/arcconf
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(-,root,root) /usr/bin/arcconf
%doc /usr/share/doc/%{name}/adaptec-compat.txt
%doc /usr/share/doc/%{name}/users_guide.pdf

%post
#
# this prevents smartd from becoming fsdaemon context thingy
# so it can keep talking to /dev/sg*
# see https://savannah.cern.ch/bugs/index.php?61692 (procurement team only)
# -P makes this persistent accross reboots.
#
# andras.horvath@cern.ch, 2/2/2010
[ -x /usr/sbin/setsebool ] && /usr/sbin/setsebool -P fsdaemon_disable_trans=on || true

%changelog
* Sat Jan 31 2015  vvm@jinr.ru
- update to 1.7.21229

* Wed May 14 2014  vvm@jinr.ru
- new version - adaptec6x7x8x-cli-1.5.20942 for 6x, 7x, 8x ADAPTEC RAID

* Thu Jan 17 2013  vvm@jinr.ru
- new version - adaptec-cli-1.00.20206
- build for SL6.3

* Mon Aug 13 2012  vvm@jinr.ru
- new ASM version - asm_linux_*_v7_31_18856.tgz

* Thu May 20 2010  vvm@jinr.ru
- build from the new ASM version - asm_linux_*_v6_50_18570

* Tue Feb  2 2010  Andras HORVATH <andras.horvath@cern.ch> 6.40.18530
- SElinux policy change/hack to allow smartd to run on /dev/sg*

* Tue Nov 24 2009  Andras HORVATH <andras.horvath@cern.ch> 6.40.18530
- new upstream version

* Wed Sep 16 2009  Andras HORVATH <andras.horvath@cern.ch> 6.30.18507
- new upstream version

* Thu Jun 25 2009  Andras HORVATH <andras.horvath@cern.ch> 6.20.18451
- new upstream version
- smaller src.rpm
- ExclusiveArch set
- updated description

* Wed Mar 11 2009  Andras HORVATH <andras.horvath@cern.ch> 6.10.18359
- new upstream version
- 'real' x86_64 version

* Mon Nov 10 2008 Andras Horvath <Andras.Horvath@cern.ch> 6.0.b17922
- fresh upstream
- removed unneeded library files

* Fri Jul 11 2008 Andras Horvath <Andras.Horvath@cern.ch>	5.50.b17901
- first release
